slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVSetType

Selects the type for the BV object.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetType(BV bv,BVType type)

Logically Collective

### Input Parameters

| bv | - the basis vectors context
| type | - a known type

### Options Database Key

| -bv_type <type> | - Sets BV type

### See Also

BVGetType()

### Level

intermediate

### Location

src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages